/*************************************************************************/
/* Title : APIC22 Asynchronous DPRAM Interface Sample Circuit            */
/*                                                                       */
/*      Language         :Verilog-HDL                                    */
/*      Module           :dp_pad.v                                       */
/*      Description      :Dual-Port RAM Bus PAD Module                   */
/*                                                                       */
/*      Note : gpfoCXI/Oobt@}ĂB         */
/*                                                                       */
/*                                      ADTEK System Science Co.,Ltd.    */
/*                                      URL   :http://www.adtek.co.jp    */
/*                                      E-mail:apic22@adtek.co.jp        */
/*                                      Last Update:2001/12/10           */
/*************************************************************************/

`include "adpif_define.v"

module dp_pad (
			// External Signals
			DP_A,
			DP_XSEM,
			DP_XCE,
			DP_XOE,
			DP_XWE,
			DP_XBUSY,
			// Internal Signals
			DPADDR,
			XDPSEM,
			XDPCE,
			XDPOE,
			XDPWE,
			XDPBUSY
			) ;

/* External Signals */
output	[`DEF_DPA-1:0]	DP_A ;	// to Ext. DPRAM Address
output			DP_XSEM ;		// to Ext. DPRAM SEM#
output			DP_XCE ;		// to Ext. DPRAM CE#
output			DP_XOE ;		// to Ext. DPRAM OE#
output			DP_XWE ;		// to Ext. DPRAM WE#
input			DP_XBUSY ;		// from Ext. DPRAM BUSY#

/* Internal Signals */
input	[`DEF_DPA-1:0]	DPADDR ;// from Int. DPRAM Address
input			XDPSEM ;		// from Int. DPRAM SEM#
input			XDPCE ;			// from Int. DPRAM CE#
input			XDPOE ;			// from Int. DPRAM OE#
input			XDPWE ;			// from Int. DPRAM WE#
output			XDPBUSY ;		// to Int. DPRAM BUSY#


/* Device Specific I/O Buffer Module Instantiated [Begin] */




/* Device Specific I/O Buffer Module Instantiated [End] */


endmodule
